Subject: FVWM: question about mesging ttys and fvwm

From: Fleish <[email-masked]>
Date: Sat, 23 Nov 1996 13:31:58 -0600 (CST)

I am running fvwm-2.0.43, and am wondering if there is a way to make fvwm
turn messaging off on certain terminals that it opens (without having to
add mesg n lines before all programs I want to do this for) For instance,
when I open pine, messaging is turned off automatically it appears.
However, I would also like programs like irc and rlogin to have messaging
turned off. If anyone knows of a way to do this, please let me know.
Thanx
Todd

<*>----------------------------<*>
 |				|
 |        Todd Fleisher		|
 |    [email-masked]	|
 | http://stu056.bsc.edu/fleish	|
 |				|
<*>----------------------------<*>

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Albrecht Kadlec)
Date: Mon, 25 Nov 96 17:45:59 +0100

>>>>> Fleish  writes:

F> I am running fvwm-2.0.43, and am wondering if there is a way to make fvwm
F> turn messaging off on certain terminals that it opens (without having to
F> add mesg n lines before all programs I want to do this for) For instance,
F> when I open pine, messaging is turned off automatically it appears.
F> However, I would also like programs like irc and rlogin to have messaging
F> turned off. If anyone knows of a way to do this, please let me know.
F> Thanx
F> Todd

if you start xterm -e pine, you should add mesg n in front of that.
ugly, I know
but sth like 
Function XtermApp "I" xterm -e /usr/bin/tcsh "mesg n;exec $1 $2 $3"

might help.

if you start a normal xterm and start the commands there, shell aliases
should do the trick.

regards,
albrecht
-- 
Maybe deep down inside,
I'm tryin' for no one else but me,
too stubborn to say, "The buck stops here.
I'm not the one you're lookin' for."

But maybe deep down inside, I'm lyin'
To no one else but me.
Oh, but my back is up.  I'm on my guard
With all the exits sealed.	-- Genesis
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Fleish <[email-masked]>
Date: Mon, 25 Nov 1996 12:33:28 -0600 (CST)

Thank you for your response. But that solution is the one that I said I
was specifically trying to avoid:
   F> turn messaging off on certain terminals that it opens (without 
   F> having to add mesg n lines before all programs I want to do this for

---

From: Leeman Strout <[email-masked]>
Date: Mon, 25 Nov 1996 13:46:57 -0500 (EST)

>    F> having to add mesg n lines before all programs I want to do this for

Sorry, but this is not a function of fvwm, it's a function of the shell
you are using.  Your options are to:  a> set mesg n in your login, and
turn messages on for apps you want them on, or b> the exact opposite.

Leeman
[email-masked]

---

From: Dan Espen <[email-masked]>
Date: Mon, 25 Nov 1996 14:11:15 -0500

>    F> having to add mesg n lines before all programs I want to do this for

I believe I control this for all my xterms with the x-resource:

XTerm*utmpInhibit: 	true

Since this is an x-resource, I don't see why it couldn't be controlled
from the command line with "-xrm".

--
Dan Espen                                    Phone: (908) 699-5570
[email-masked]
444 Hoes Lane  Room RRC 1C-214
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].